"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = AutoSizer;
var React = _interopRequireWildcard(require("react"));
var _reactNative = require("react-native");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && Object.prototype.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
function AutoSizer({
  children
}) {
  const [layout, setLayout] = React.useState(null);
  const onLayout = React.useCallback(event => {
    const nl = event.nativeEvent.layout;

    // https://github.com/necolas/react-native-web/issues/1704
    if (!layout || layout.width !== nl.width || layout.height !== nl.height) {
      setLayout({
        width: nl.width,
        height: nl.height
      });
    }
  }, [layout, setLayout]);
  return /*#__PURE__*/React.createElement(_reactNative.View, {
    style: [styles.autoSizer, layout && layout],
    onLayout: onLayout
  }, layout ? children(layout) : null);
}
const styles = _reactNative.StyleSheet.create({
  autoSizer: {
    flex: 1,
    overflow: 'hidden'
  }
});
//# sourceMappingURL=AutoSizer.js.map